#include <Wt/WMenu> //WMenu
#include <Wt/WStackedWidget> //WStackedWidget

#include "PreCompile.h" //WApplication

#include "UserTabWidget.h"

using namespace Wt; //toUTF8
using namespace std; //string


UserSelfWidget::UserSelfWidget()
{
    //设置本身的CSS样式类：
    setStyleClass("FileManageTabWidget"); //设置样式类。

    LogoutButton=new WPushButton(WString::tr("Log out")); //退出按钮。

    addWidget (LogoutButton); //添加退出按钮。

    LogoutButton->clicked ().connect(this,&UserSelfWidget::Logout); //单击退出按钮，则退出。
} //UserTabWidget::UserTabWidget()

/*!
  *@brief 退出。
  */
void UserSelfWidget::Logout()
{
    LogoutSignal.emit(); //发射信号，退出。

    return;
} //void UserTabWidget::Logout()





/*!
  *@brief 返回用户名。
  */
WString UserSelfWidget::GetUser()
{
    WString Result=""; //结果。

    return Result;
} //WString UserTabWidget::GetUser()


/*!
 * \brief UserTabWidget::~UserTabWidget Destructor.
 */
UserSelfWidget::~UserSelfWidget()
{
} //UserTabWidget::~UserTabWidget() //!<Destructor.

