
#include <Wt/WOverlayLoadingIndicator> //WOverlayLoadingIndicator
#include <Wt/WImage> //WImage

#include "PreCompile.h" //WDateTime

#include "QueueMateWebApplication.h" //QueueMateWebApplication

/*!
  *@brief 构造函数。
  *
  *WQApplication构造函数中第二个参数是指启用QT事件循环。
  */
QueueMateWebApplication::QueueMateWebApplication(const WEnvironment& env): WApplication(env)
{
    WebPage= new QueueMateWeb(root()); //创建一个网站对象。
    WebPage->SetApp(this); //设置应用程序实例。


    useStyleSheet("QueueMateWeb.css"); //设置样式单。


    enableUpdates (true); //启用服务器推。

    cout << __FILE__ << "," << __LINE__ << ","  << __func__ << ","  << "docroot:" << docRoot() << endl; //Debug.


} //GenieProWebApplication::GenieProWebApplication(const WEnvironment& env)
//: WApplication(env)


/*!
  *@brief 析构函数。
  */
QueueMateWebApplication::~QueueMateWebApplication()
{
    delete WebPage; //删除对象。
} //GenieProWebApplication::~GenieProWebApplication()

/*!
 * \brief P2pWebApplication::GetWebPage 获取网页对象。
 * \return 网页对象。
 */
QueueMateWeb * QueueMateWebApplication::GetWebPage()
{
    return WebPage;
} //P2pWeb * P2pWebApplication::GetWebPage() //!<获取网页对象。
